<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Management Console Installation Guide</title><link rel="stylesheet" type="text/css" href="Common_Content/css/default.css" /><link rel="stylesheet" media="print" href="Common_Content/css/print.css" type="text/css" /><meta name="generator" content="publican 2.8" /><meta name="package" content="Red_Hat_Enterprise_MRG-Management_Console_Installation_Guide-2-en-US-1-3" /><meta name="description" content="This book contains basic overview and installation procedures for the MRG Management Console component of the Red Hat Enterprise MRG distributed computing platform. The MRG Management Console provides a web-based tool for management of MRG Messaging" /><script type="text/javascript" src="../../../../../toc.js"></script><script type="text/javascript">
              addID('Red_Hat_Enterprise_MRG');
              
	      addID('Red_Hat_Enterprise_MRG.2');
              
              addID('Red_Hat_Enterprise_MRG.2.books');
	      addID('Red_Hat_Enterprise_MRG.2.Management_Console_Installation_Guide');
              </script></head><body class="toc_embeded "><div id="tocdiv" class="toc"><iframe id="tocframe" class="toc" src="../../../../toc.html">This is an iframe, to view it upgrade your browser or enable iframe display.</iframe></div><p id="title"><a class="left" href="http://www.redhat.com/mrg/"><img src="Common_Content/images/image_left.png" alt="Product Site" /></a><a class="right" href="http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG"><img src="Common_Content/images/image_right.png" alt="Documentation Site" /></a></p><div xml:lang="en-US" class="book" id="id4463767" lang="en-US"><div class="titlepage"><div><div class="producttitle"><span class="productname">Red Hat Enterprise MRG</span> <span class="productnumber">2</span></div><div><h1 id="id4463767" class="title">Management Console Installation Guide</h1></div><div><h2 class="subtitle">Installing the MRG Management Console for use with MRG Messaging</h2></div><p class="edition">Edition 1</p><div><h3 class="corpauthor">
		<span class="inlinemediaobject"><object data="Common_Content/images/redhat-logo.svg" type="image/svg+xml"> </object></span>

	</h3></div><div><div xml:lang="en-US" class="authorgroup" lang="en-US"><div class="author"><h3 class="author"><span class="firstname">Lana</span> <span class="surname">Brindley</span></h3><div class="affiliation"><span class="orgname">Red Hat</span> <span class="orgdiv">Engineering Content Services</span></div><code class="email"><a class="email" href="mailto:lbrindle@redhat.com">lbrindle@redhat.com</a></code></div><div class="author"><h3 class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></h3><div class="affiliation"><span class="orgname">Red Hat</span> <span class="orgdiv">Engineering Content Services</span></div><code class="email"><a class="email" href="mailto:alyoung@redhat.com">alyoung@redhat.com</a></code></div></div></div><hr /><div><div id="id5171718" class="legalnotice"><h1 class="legalnotice">Legal Notice</h1><div class="para">
		Copyright <span class="trademark"></span>© 2011 Red Hat, Inc.
	</div><div class="para">
		The text of and illustrations in this document are licensed by Red Hat under a Creative Commons Attribution–Share Alike 3.0 Unported license ("CC-BY-SA"). An explanation of CC-BY-SA is available at <a href="http://creativecommons.org/licenses/by-sa/3.0/">http://creativecommons.org/licenses/by-sa/3.0/</a>. In accordance with CC-BY-SA, if you distribute this document or an adaptation of it, you must provide the URL for the original version.
	</div><div class="para">
		Red Hat, as the licensor of this document, waives the right to enforce, and agrees not to assert, Section 4d of CC-BY-SA to the fullest extent permitted by applicable law.
	</div><div class="para">
		Red Hat, Red Hat Enterprise Linux, the Shadowman logo, JBoss, MetaMatrix, Fedora, the Infinity Logo, and RHCE are trademarks of Red Hat, Inc., registered in the United States and other countries.
	</div><div class="para">
		<span class="trademark">Linux</span>® is the registered trademark of Linus Torvalds in the United States and other countries.
	</div><div class="para">
		<span class="trademark">Java</span>® is a registered trademark of Oracle and/or its affiliates.
	</div><div class="para">
		<span class="trademark">XFS</span>® is a trademark of Silicon Graphics International Corp. or its subsidiaries in the United States and/or other countries.
	</div><div class="para">
		<span class="trademark">MySQL</span>® is a registered trademark of MySQL AB in the United States, the European Union and other countries.
	</div><div class="para">
		All other trademarks are the property of their respective owners.
	</div><div class="para">
		
<div class="address"><p><br />
			<span class="street">1801 Varsity Drive</span><br />
			 <span class="city">Raleigh</span>, <span class="state">NC</span> <span class="postcode">27606-2072</span> <span class="country">USA</span><br />
			 <span class="phone">Phone: +1 919 754 3700</span><br />
			 <span class="phone">Phone: 888 733 4281</span><br />
			 <span class="fax">Fax: +1 919 754 3701</span><br />
<br />
</p></div>

	</div></div></div><div><div class="abstract"><h6>Abstract</h6><div class="para">
			This book contains basic overview and installation procedures for the MRG Management Console component of the Red Hat Enterprise MRG distributed computing platform. The MRG Management Console provides a web-based tool for management of MRG Messaging
		</div></div></div></div><hr /></div><div class="toc"><dl><dt><span class="preface"><a href="#pref-Management_Console_Installation_Guide-Preface">Preface</a></span></dt><dd><dl><dt><span class="section"><a href="#id5018150">1. Document Conventions</a></span></dt><dd><dl><dt><span class="section"><a href="#id4477674">1.1. Typographic Conventions</a></span></dt><dt><span class="section"><a href="#id4628867">1.2. Pull-quote Conventions</a></span></dt><dt><span class="section"><a href="#id5011223">1.3. Notes and Warnings</a></span></dt></dl></dd><dt><span class="section"><a href="#sect_RedHat-Getting_Help_and_Giving_Feedback">2. Getting Help and Giving Feedback</a></span></dt><dd><dl><dt><span class="section"><a href="#sect_RedHat-Do_You_Need_Help">2.1. Do You Need Help?</a></span></dt><dt><span class="section"><a href="#sect-RedHat-We_Need_Feedback">2.2. We Need Feedback!</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Scale_Requirements">1. Scale Requirements</a></span></dt><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Installing_the_CONSOLE">2. Installing the MRG Management Console</a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE_and_GRID">2.1. Configuring the MRG Messaging Broker for use with the MRG Management Console and MRG Grid</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Installing_and_Configuring_the_CONSOLE">2.2. Installing and Configuring the MRG Management Console</a></span></dt></dl></dd><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Start_Console">3. Start Console</a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Start_Console-First_Run">3.1. First Run</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Start_Console-Logging">3.2. Logging 
		 </a></span></dt></dl></dd><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Using_the_CONSOLE">4. Using the MRG Management Console</a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID">4.1. Using the MRG Management Console with MRG Grid</a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID-Job_Server_Configuration">4.1.1. Job Server Configuration</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Medium_Deployment_Configuration">5. Configuring the MRG Management Console for Medium Scale Deployment 
	 </a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Running_Multiple_CONSOLE_Web_Servers">5.1. Running Multiple MRG Management Console Web Servers</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Limiting_Objects_Processed_by_the_CONSOLE">5.2. Limiting Objects Processed by the MRG Management Console</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Configuring_the_Remote_Configuration_Feature_for_a_Separate_RHM_Broker">5.3. Configuring the Remote Configuration Feature for a Separate MRG Messaging Broker</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Increase_Default_QMF_Update_Interval_for_GRID_Components">5.4. Increasing the Default QMF Update Interval for MRG Grid Components 
		 </a></span></dt></dl></dd><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-Frequently_Asked_Questions">6. Frequently Asked Questions</a></span></dt><dt><span class="chapter"><a href="#chap-Management_Console_Installation_Guide-More_Information">7. More Information</a></span></dt><dt><span class="appendix"><a href="#appe-Management_Console_Installation_Guide-Revision_History">A. Revision History</a></span></dt></dl></div><div xml:lang="en-US" class="preface" id="pref-Management_Console_Installation_Guide-Preface" lang="en-US"><div class="titlepage"><div><div><h1 class="title">Preface</h1></div></div></div><div class="formalpara" id="form-Management_Console_Installation_Guide-Preface-PRODUCT"><h5 class="formalpara">Red Hat Enterprise MRG</h5>
			This book contains basic overview and installation information for the MRG Management Console component of Red Hat Enterprise MRG. Red Hat Enterprise MRG is a high performance distributed computing platform consisting of three components:
		</div><div class="orderedlist"><ol><li class="listitem"><div class="para">
				<span class="emphasis"><em>M</em></span>essaging — Cross platform, high performance, reliable messaging using the Advanced Message Queuing Protocol (AMQP) standard.
			</div></li><li class="listitem"><div class="para">
				<span class="emphasis"><em>R</em></span>ealtime — Consistent low-latency and predictable response times for applications that require microsecond latency.
			</div></li><li class="listitem"><div class="para">
				<span class="emphasis"><em>G</em></span>rid — Distributed High Throughput (HTC) and High Performance Computing (HPC).
			</div></li></ol></div><div class="para">
		All three components of Red Hat Enterprise MRG are designed to be used as part of the platform, but can also be used separately.
	</div><div class="formalpara" id="form-Management_Console_Installation_Guide-Preface-CONSOLE"><h5 class="formalpara">MRG Management Console</h5>
			This book explains how to install and configure the MRG Management Console. The MRG Management Console, also known as Cumin, provides a web-based graphical interface to manage your Red Hat Enterprise MRG deployment.
		</div><div class="para">
		MRG Messaging is built on the Qpid Management Framework (QMF). The MRG Management Console uses QMF to access data and functionality provided by the MRG Messaging broker (<code class="command">qpidd</code>), inventory daemon (sesame) and MRG Grid components.
	</div><div class="para">
		This book describes how to set up and configure Cumin, a MRG Messaging broker, and a distributed inventory. The broker is necessary for communication between the distributed components and Cumin. The inventory and MRG Grid component installations must be performed on all nodes in the deployment.
	</div><div class="para">
		For more information about MRG Messaging architecture, including advanced installation and configuration of the MRG Messaging broker, see the <em class="citetitle">MRG Messaging User Guide</em>.
	</div><div class="para">
		For more information about MRG Grid, including advanced features and configuration, see the <em class="citetitle">MRG Grid User guide</em>.
	</div><div xml:lang="en-US" class="section" lang="en-US"><div class="titlepage"><div><div><h2 class="title" id="id5018150">1. Document Conventions</h2></div></div></div><div class="para">
		This manual uses several conventions to highlight certain words and phrases and draw attention to specific pieces of information.
	</div><div class="para">
		In PDF and paper editions, this manual uses typefaces drawn from the <a href="https://fedorahosted.org/liberation-fonts/">Liberation Fonts</a> set. The Liberation Fonts set is also used in HTML editions if the set is installed on your system. If not, alternative but equivalent typefaces are displayed. Note: Red Hat Enterprise Linux 5 and later includes the Liberation Fonts set by default.
	</div><div class="section"><div class="titlepage"><div><div><h3 class="title" id="id4477674">1.1. Typographic Conventions</h3></div></div></div><div class="para">
			Four typographic conventions are used to call attention to specific words and phrases. These conventions, and the circumstances they apply to, are as follows.
		</div><div class="para">
			<code class="literal">Mono-spaced Bold</code>
		</div><div class="para">
			Used to highlight system input, including shell commands, file names and paths. Also used to highlight keycaps and key combinations. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				To see the contents of the file <code class="filename">my_next_bestselling_novel</code> in your current working directory, enter the <code class="command">cat my_next_bestselling_novel</code> command at the shell prompt and press <span class="keycap"><strong>Enter</strong></span> to execute the command.
			</div></blockquote></div><div class="para">
			The above includes a file name, a shell command and a keycap, all presented in mono-spaced bold and all distinguishable thanks to context.
		</div><div class="para">
			Key combinations can be distinguished from keycaps by the hyphen connecting each part of a key combination. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				Press <span class="keycap"><strong>Enter</strong></span> to execute the command.
			</div><div class="para">
				Press <span class="keycap"><strong>Ctrl</strong></span>+<span class="keycap"><strong>Alt</strong></span>+<span class="keycap"><strong>F2</strong></span> to switch to the first virtual terminal. Press <span class="keycap"><strong>Ctrl</strong></span>+<span class="keycap"><strong>Alt</strong></span>+<span class="keycap"><strong>F1</strong></span> to return to your X-Windows session.
			</div></blockquote></div><div class="para">
			The first paragraph highlights the particular keycap to press. The second highlights two key combinations (each a set of three keycaps with each set pressed simultaneously).
		</div><div class="para">
			If source code is discussed, class names, methods, functions, variable names and returned values mentioned within a paragraph will be presented as above, in <code class="literal">mono-spaced bold</code>. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				File-related classes include <code class="classname">filesystem</code> for file systems, <code class="classname">file</code> for files, and <code class="classname">dir</code> for directories. Each class has its own associated set of permissions.
			</div></blockquote></div><div class="para">
			<span class="application"><strong>Proportional Bold</strong></span>
		</div><div class="para">
			This denotes words or phrases encountered on a system, including application names; dialog box text; labeled buttons; check-box and radio button labels; menu titles and sub-menu titles. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				Choose <span class="guimenu"><strong>System</strong></span> → <span class="guisubmenu"><strong>Preferences</strong></span> → <span class="guimenuitem"><strong>Mouse</strong></span> from the main menu bar to launch <span class="application"><strong>Mouse Preferences</strong></span>. In the <span class="guilabel"><strong>Buttons</strong></span> tab, click the <span class="guilabel"><strong>Left-handed mouse</strong></span> check box and click <span class="guibutton"><strong>Close</strong></span> to switch the primary mouse button from the left to the right (making the mouse suitable for use in the left hand).
			</div><div class="para">
				To insert a special character into a <span class="application"><strong>gedit</strong></span> file, choose <span class="guimenu"><strong>Applications</strong></span> → <span class="guisubmenu"><strong>Accessories</strong></span> → <span class="guimenuitem"><strong>Character Map</strong></span> from the main menu bar. Next, choose <span class="guimenu"><strong>Search</strong></span> → <span class="guimenuitem"><strong>Find…</strong></span> from the <span class="application"><strong>Character Map</strong></span> menu bar, type the name of the character in the <span class="guilabel"><strong>Search</strong></span> field and click <span class="guibutton"><strong>Next</strong></span>. The character you sought will be highlighted in the <span class="guilabel"><strong>Character Table</strong></span>. Double-click this highlighted character to place it in the <span class="guilabel"><strong>Text to copy</strong></span> field and then click the <span class="guibutton"><strong>Copy</strong></span> button. Now switch back to your document and choose <span class="guimenu"><strong>Edit</strong></span> → <span class="guimenuitem"><strong>Paste</strong></span> from the <span class="application"><strong>gedit</strong></span> menu bar.
			</div></blockquote></div><div class="para">
			The above text includes application names; system-wide menu names and items; application-specific menu names; and buttons and text found within a GUI interface, all presented in proportional bold and all distinguishable by context.
		</div><div class="para">
			<code class="command"><em class="replaceable"><code>Mono-spaced Bold Italic</code></em></code> or <span class="application"><strong><em class="replaceable"><code>Proportional Bold Italic</code></em></strong></span>
		</div><div class="para">
			Whether mono-spaced bold or proportional bold, the addition of italics indicates replaceable or variable text. Italics denotes text you do not input literally or displayed text that changes depending on circumstance. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				To connect to a remote machine using ssh, type <code class="command">ssh <em class="replaceable"><code>username</code></em>@<em class="replaceable"><code>domain.name</code></em></code> at a shell prompt. If the remote machine is <code class="filename">example.com</code> and your username on that machine is john, type <code class="command">ssh john@example.com</code>.
			</div><div class="para">
				The <code class="command">mount -o remount <em class="replaceable"><code>file-system</code></em></code> command remounts the named file system. For example, to remount the <code class="filename">/home</code> file system, the command is <code class="command">mount -o remount /home</code>.
			</div><div class="para">
				To see the version of a currently installed package, use the <code class="command">rpm -q <em class="replaceable"><code>package</code></em></code> command. It will return a result as follows: <code class="command"><em class="replaceable"><code>package-version-release</code></em></code>.
			</div></blockquote></div><div class="para">
			Note the words in bold italics above — username, domain.name, file-system, package, version and release. Each word is a placeholder, either for text you enter when issuing a command or for text displayed by the system.
		</div><div class="para">
			Aside from standard usage for presenting the title of a work, italics denotes the first use of a new and important term. For example:
		</div><div class="blockquote"><blockquote class="blockquote"><div class="para">
				Publican is a <em class="firstterm">DocBook</em> publishing system.
			</div></blockquote></div></div><div class="section"><div class="titlepage"><div><div><h3 class="title" id="id4628867">1.2. Pull-quote Conventions</h3></div></div></div><div class="para">
			Terminal output and source code listings are set off visually from the surrounding text.
		</div><div class="para">
			Output sent to a terminal is set in <code class="computeroutput">mono-spaced roman</code> and presented thus:
		</div><pre class="screen">books        Desktop   documentation  drafts  mss    photos   stuff  svn
books_tests  Desktop1  downloads      images  notes  scripts  svgs</pre><div class="para">
			Source-code listings are also set in <code class="computeroutput">mono-spaced roman</code> but add syntax highlighting as follows:
		</div><pre class="programlisting">package org.<span class="perl_Function">jboss</span>.<span class="perl_Function">book</span>.<span class="perl_Function">jca</span>.<span class="perl_Function">ex1</span>;

<span class="perl_Keyword">import</span> javax.naming.InitialContext;

<span class="perl_Keyword">public</span> <span class="perl_Keyword">class</span> ExClient
{
   <span class="perl_Keyword">public</span> <span class="perl_DataType">static</span> <span class="perl_DataType">void</span> <span class="perl_Function">main</span>(String args[]) 
       <span class="perl_Keyword">throws</span> Exception
   {
      InitialContext iniCtx = <span class="perl_Keyword">new</span> InitialContext();
      Object         ref    = iniCtx.<span class="perl_Function">lookup</span>(<span class="perl_String">"EchoBean"</span>);
      EchoHome       home   = (EchoHome) ref;
      Echo           echo   = home.<span class="perl_Function">create</span>();

      System.<span class="perl_Function">out</span>.<span class="perl_Function">println</span>(<span class="perl_String">"Created Echo"</span>);

      System.<span class="perl_Function">out</span>.<span class="perl_Function">println</span>(<span class="perl_String">"Echo.echo('Hello') = "</span> + echo.<span class="perl_Function">echo</span>(<span class="perl_String">"Hello"</span>));
   }
}</pre></div><div class="section"><div class="titlepage"><div><div><h3 class="title" id="id5011223">1.3. Notes and Warnings</h3></div></div></div><div class="para">
			Finally, we use three visual styles to draw attention to information that might otherwise be overlooked.
		</div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
				Notes are tips, shortcuts or alternative approaches to the task at hand. Ignoring a note should have no negative consequences, but you might miss out on a trick that makes your life easier.
			</div></div></div><div class="important"><div class="admonition_header"><h2>Important</h2></div><div class="admonition"><div class="para">
				Important boxes detail things that are easily missed: configuration changes that only apply to the current session, or services that need restarting before an update will apply. Ignoring a box labeled 'Important' will not cause data loss but may cause irritation and frustration.
			</div></div></div><div class="warning"><div class="admonition_header"><h2>Warning</h2></div><div class="admonition"><div class="para">
				Warnings should not be ignored. Ignoring warnings will most likely cause data loss.
			</div></div></div></div></div><div xml:lang="en-US" class="section" id="sect_RedHat-Getting_Help_and_Giving_Feedback" lang="en-US"><div class="titlepage"><div><div><h2 class="title" id="sect_RedHat-Getting_Help_and_Giving_Feedback">2. Getting Help and Giving Feedback</h2></div></div></div><div class="section" id="sect_RedHat-Do_You_Need_Help"><div class="titlepage"><div><div><h3 class="title" id="sect_RedHat-Do_You_Need_Help">2.1. Do You Need Help?</h3></div></div></div><a id="id4682340" class="indexterm"></a><div class="para">
			If you experience difficulty with a procedure described in this documentation, visit the Red Hat Customer Portal at <a href="http://access.redhat.com">http://access.redhat.com</a>. Through the customer portal, you can:
		</div><div class="itemizedlist"><ul><li class="listitem"><div class="para">
					search or browse through a knowledgebase of technical support articles about Red Hat products.
				</div></li><li class="listitem"><div class="para">
					submit a support case to Red Hat Global Support Services (GSS).
				</div></li><li class="listitem"><div class="para">
					access other product documentation.
				</div></li></ul></div><div class="para">
			Red Hat also hosts a large number of electronic mailing lists for discussion of Red Hat software and technology. You can find a list of publicly available mailing lists at <a href="https://www.redhat.com/mailman/listinfo">https://www.redhat.com/mailman/listinfo</a>. Click on the name of any mailing list to subscribe to that list or to access the list archives.
		</div></div><div class="section" id="sect-RedHat-We_Need_Feedback"><div class="titlepage"><div><div><h3 class="title" id="sect-RedHat-We_Need_Feedback">2.2. We Need Feedback!</h3></div></div></div><a id="id5046785" class="indexterm"></a><div class="para">
			If you find a typographical error in this manual, or if you have thought of a way to make this manual better, we would love to hear from you! Please submit a report in Bugzilla: <a href="http://bugzilla.redhat.com/">http://bugzilla.redhat.com/</a> against the product <span class="application"><strong>Red Hat Enterprise MRG.</strong></span>
		</div><div class="para">
			When submitting a bug report, be sure to mention the manual's identifier: <em class="citetitle">Management_Console_Installation_Guide</em>
		</div><div class="para">
			If you have a suggestion for improving the documentation, try to be as specific as possible when describing it. If you have found an error, please include the section number and some of the surrounding text so we can find it easily.
		</div></div></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Scale_Requirements" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 1. Scale Requirements</h2></div></div></div><div class="para">
		The MRG Management Console is designed to scale for use with different sized deployments of MRG Messaging and MRG Grid. The following configurations indicate typical size and load characteristics for small, medium and large deployments.
	</div><div class="itemizedlist" id="item-Management_Console_Installation_Guide-Scale_Requirements-Small"><h6>Small</h6><div class="para">
			The default software configuration of the MRG Management Console is appropriate for small scale deployments. An example small scale deployment is:
		</div><ul><li class="listitem"><div class="para">
				64 nodes (each quad dual-core CPUs)
			</div></li><li class="listitem"><div class="para">
				5 concurrent console users, accessing the console at 1 page view per second (peak)
			</div></li><li class="listitem"><div class="para">
				10 job submitters, submitting 1 job per second concurrently (peak)
			</div></li><li class="listitem"><div class="para">
				10 job completions per minute (sustained), 3 years of job history (1 million jobs)
			</div></li><li class="listitem"><div class="para">
				Ability to sustain peak rates for at least 5 minutes
			</div></li></ul></div><div class="itemizedlist" id="item-Management_Console_Installation_Guide-Scale_Requirements-Medium"><h6>Medium</h6><div class="para">
			To configure the MRG Management Console for use with medium scale deployments, see <a class="xref" href="#chap-Management_Console_Installation_Guide-Medium_Deployment_Configuration">Chapter 5, <em>Configuring the MRG Management Console for Medium Scale Deployment 
	 </em></a>. An example medium scale deployment is:
		</div><ul><li class="listitem"><div class="para">
				500 nodes (each quad dual-core CPUs)
			</div></li><li class="listitem"><div class="para">
				20 concurrent console users, accessing the console at 1 page view per second (peak)
			</div></li><li class="listitem"><div class="para">
				20 job submitters, submitting 2 jobs per second concurrently (peak)
			</div></li><li class="listitem"><div class="para">
				100 job completions per minute (sustained), 3 years of job history (10 million jobs)
			</div></li><li class="listitem"><div class="para">
				Ability to sustain peak rates for at least 5 minutes
			</div></li></ul></div><div class="formalpara" id="form-Management_Console_Installation_Guide-Scale_Requirements-Large"><h5 class="formalpara">Large</h5>
			A large scale console is defined as a console supporting 5000 <em class="parameter"><code>Execute Nodes</code></em> and 100 concurrent users accessing the console at 1 page view per second during peak periods. There are several considerations when implementing a large scale console. Red Hat, Inc recommends that customers configure large scale MRG Management Console installations in cooperation with a Solutions Architect through Red Hat, Inc consulting.
		</div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Installing_the_CONSOLE" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 2. Installing the MRG Management Console</h2></div></div></div><div class="toc"><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE_and_GRID">2.1. Configuring the MRG Messaging Broker for use with the MRG Management Console and MRG Grid</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Installing_and_Configuring_the_CONSOLE">2.2. Installing and Configuring the MRG Management Console</a></span></dt></dl></div><div class="para">
		In order to install the MRG Management Console you will need to have registered your system with <a href="https://rhn.redhat.com/help/about.pxt">Red Hat Network</a>. This table lists the Red Hat Enterprise MRG channels available on Red Hat Network for the MRG Management Console.
	</div><div class="table" id="tabl-Management_Console_Installation_Guide-Installing_the_CONSOLE-PRODUCT_Channels_Available_on_Red_Hat_Network"><h6>Table 2.1. Red Hat Enterprise MRG Channels Available on Red Hat Network</h6><div class="table-contents"><table summary="Red Hat Enterprise MRG Channels Available on Red Hat Network" border="1"><colgroup><col align="left" class="c1" width="33%" /><col align="left" class="c2" width="33%" /><col align="left" class="c3" width="33%" /></colgroup><thead><tr><th align="center">
						Channel Name
					</th><th align="center">
						Operating System
					</th><th align="center">
						Architecture
					</th></tr></thead><tbody><tr><td align="left">
						Red Hat MRG Management
					</td><td align="left">
						RHEL-5 Server
					</td><td align="left">
						32-bit, 64-bit
					</td></tr><tr><td align="left">
						Red Hat MRG Management 

					</td><td align="left">
						RHEL-6 Server
					</td><td align="left">
						32-bit, 64-bit
					</td></tr></tbody></table></div></div><br class="table-break" /><div class="itemizedlist" id="item-Management_Console_Installation_Guide-Installing_the_CONSOLE-Hardware_Requirements"><h6>Hardware Requirements</h6><div class="para">
			It is recommended that you have the following <span class="emphasis"><em>minimum</em></span> hardware requirements before attempting to install the MRG Management Console:
		</div><ul><li class="listitem"><div class="para">
				Intel Pentium IV or AMD Athlon class machine
			</div></li><li class="listitem"><div class="para">
				512MB RAM
			</div></li><li class="listitem"><div class="para">
				10 GB disk space
			</div></li><li class="listitem"><div class="para">
				A network interface card
			</div></li></ul></div><div class="important"><div class="admonition_header"><h2>Important</h2></div><div class="admonition"><div class="para">
			Before you install Red Hat Enterprise MRG check that your hardware and platform is supported. A complete list is available on the <a href="http://www.redhat.com/mrg/hardware/">Red Hat Enterprise MRG Supported Hardware Page</a>.
		</div></div></div><div class="section" id="sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE_and_GRID"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE_and_GRID">2.1. Configuring the MRG Messaging Broker for use with the MRG Management Console and MRG Grid</h2></div></div></div><div class="para">
			
			 In order to use the MRG Messaging broker with MRG Management Console and MRG Grid, the MRG Messaging broker must first be installed and configured. The MRG Messaging components and the MRG Management Console can be installed on the same machine or on different machines that share a network.
		</div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Checking_for_Installation_of_the_RHM_Broker"><h6>Checking for Installation of the MRG Messaging Broker</h6><ol><li class="listitem"><div class="para">
					A full installation of the MRG Messaging components is recommended, but the MRG Management Console can use the broker alone at a minimum. Check to see if the broker RPM package is installed using the following command:
				</div><pre class="screen">
$ rpm -qa qpid-cpp-server
</pre></li><li class="listitem"><div class="para">
					If the broker package is installed, it will be displayed, and you can continue with configuration. If it is not displayed, ensure that the package is installed before continuing. For more information on installing the MRG Messaging broker, see the <em class="citetitle">MRG Messaging Installation Guide</em>.
				</div></li></ol></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Configuring_the_RHM_Broker_for_Authentication_to_the_CONSOLE_and_GRID"><h6>Configuring the MRG Messaging Broker for Authentication of the MRG Management Console and MRG Grid</h6><div class="important"><div class="admonition_header"><h2>Important</h2></div><div class="admonition"><div class="para">
					
					 The MRG Management Console must connect to the MRG Messaging broker using password authentication for full operability. The MRG Management Console Installation Guide assumes that MRG Messaging has already been configured to support password authentication using the Cyrus SASL library. For information on configuring security in MRG Messaging see the <em class="citetitle">MRG Messaging Installation Guide</em> and <em class="citetitle">MRG Messaging User Guide</em>.
				</div></div></div><ol><li class="listitem"><div class="para">
					Authentication credentials for the MRG Management Console must be created on the host running the MRG Messaging broker.
				</div><div class="para">
					On the host, run the <code class="command">saslpasswd2</code> command as the qpidd user:
				</div><pre class="screen">
$ sudo -u qpidd /usr/sbin/saslpasswd2 -f /var/lib/qpidd/qpidd.sasldb -u QPID cumin
</pre><div class="para">
					When prompted, create a password.
				</div><div class="para">
					
					 This command will create a <em class="parameter"><code>cumin</code></em> user in the SASL database. These credentials will be used by the Management Console to authenticate to the broker. The username and password will be needed later during installation and configuration of the MRG Management Console.
				</div><div class="para">
					For more information on the <code class="command">saslpasswd2</code> command, see the <em class="citetitle">MRG Messaging Installation Guide</em>.
				</div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
						The qpid user should be able to read <code class="filename">/var/lib/qpidd/qpidd.sasldb</code>. If the ownership is wrong <code class="filename">/var/log/messages</code> will display a permission denied error.
					</div></div></div></li><li class="listitem"><div class="para">
					MRG Grid will authenticate to the MRG Messaging broker using the <em class="parameter"><code>anonymous</code></em> mechanism by default. If <em class="parameter"><code>anonymous</code></em> authentication is permitted by the broker, this step can be skipped. If the broker has been configured to disallow <em class="parameter"><code>anonymous</code></em> authentication, credentials for MRG Grid nodes must be created also.
				</div><div class="para">
					A user named <em class="parameter"><code>grid</code></em> is created below. This username is used by every MRG Grid node. On the host, run the <code class="command">saslpasswd2</code> command as the qpidd user:
				</div><pre class="screen">
$ sudo -u qpidd /usr/sbin/saslpasswd2 -f /var/lib/qpidd/qpidd.sasldb -u QPID grid
</pre><div class="para">
					When prompted, create a password.
				</div><div class="para">
					This command creates a <em class="parameter"><code>grid</code></em> user in the SASL database. These credentials will be used by MRG Grid nodes to authenticate to the broker. Any valid username may be used, multiple users may be created to be used by different MRG Grid nodes. The username and password will be needed later during configuration of the MRG Grid for use with the MRG Management Console.
				</div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
						The qpid user should be able to read <code class="filename">/var/lib/qpidd/qpidd.sasldb</code>. If the ownership is wrong <code class="filename">/var/log/messages</code> will display a permission denied error.
					</div></div></div></li><li class="listitem"><div class="para">
					The Sesame package provides content for the MRG Management Console's <span class="guilabel"><strong>Inventory</strong></span> page; installation and configuration is described below in <a class="xref" href="#orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Installing_SESAME">Installing Sesame</a>. Like MRG Grid anonymous authentication is used by default.
				</div><div class="para">
					If the broker has been configured to disallow <em class="parameter"><code>anonymous</code></em> authentication, credentials must be created for use by all nodes running Sesame. For example:
				</div><pre class="screen">
# /usr/sbin/saslpasswd2 -f /var/lib/qpidd/qpidd.sasldb -u QPID sesame
</pre><div class="para">
					When prompted, create a password.
				</div><div class="para">
					These credientials will be used during the configuration of Sesame below.
				</div></li><li class="listitem"><div class="para">
					The MRG Messaging broker will always run with authentication checks turned on by default.
				</div><div class="warning"><div class="admonition_header"><h2>Warning</h2></div><div class="admonition"><div class="para">
						It is possible to run the broker without authentication but this is discouraged for security reasons.
					</div></div></div><div class="para">
					Passwords will be sent to the MRG Messaging broker from the MRG Management Console in plain text. For greater security, SSL encryption can be used for communication between the MRG Management Console and the broker. For more information on setting up SSL encryption, see the <em class="citetitle">MRG Messaging User Guide</em>.
				</div></li></ol></div><div class="formalpara"><h5 class="formalpara" id="id4494666">Adding MRG Management Console and MRG Grid credentials to optional broker ACLs</h5>
				
				 The MRG Messaging broker can be configured to use an access control list (ACL). If an ACL is present for the MRG Messaging broker, ensure the <em class="parameter"><code>cumin</code></em> and any MRG Grid users are added. Note that if MRG Grid is using <em class="parameter"><code>anonymous</code></em> authentication, the <em class="parameter"><code>anonymous@qpid</code></em> user must be added to the ACL. Information on setting up ACLs can be found in the <em class="citetitle">MRG Messaging User Guide</em>.
			</div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Changing_the_Update_Interval"><h6>Changing the Update Interval</h6><ol><li class="listitem"><div class="para">
					By default, the MRG Messaging broker will send updated information to the MRG Management Console every ten seconds. Increase the interval to receive fewer updates and reduce load on the broker or the network. Decrease the interval to receive more updates.
				</div><div class="para">
					To change the update interval, open the <em class="parameter"><code>/etc/qpidd.conf</code></em> file in your preferred text editor and add the <em class="parameter"><code>mgmt-pub-interval</code></em> configuration option on the broker:
				</div><pre class="screen">
mgmt-pub-interval=30
</pre><div class="para">
					Enter the required update interval in seconds.
				</div></li></ol></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Installing_SESAME"><h6>Installing Sesame</h6><div class="para">
				
				 Sesame is a management package that allows a system on which it is installed to display on the MRG Management Console's <span class="guilabel"><strong>Inventory</strong></span> page. It should be installed on every system that is part of a MRG Grid deployment. 

			</div><ol><li class="listitem"><div class="para">
					Sesame is part of the MRG Messaging package group and should be automatically included in any full MRG Messaging installation.
				</div><div class="para">
					Check to see if the Sesame package is installed using the following command:
				</div><pre class="screen">
$ rpm -q sesame
</pre></li><li class="listitem"><div class="para">
					If the Sesame package is not installed, use <code class="command">yum</code> to install it before continuing.
				</div><pre class="screen">
# yum install sesame
</pre></li><li class="listitem"><div class="para">
					Open the <code class="filename">/etc/sesame/sesame.conf</code> in your preferred text editor and locate the <em class="parameter"><code>host</code></em> parameter. This parameter must be set to the hostname of the machine running the MRG Messaging broker:
				</div><pre class="programlisting">
host=example.com
</pre><div class="para">
					The <em class="parameter"><code>port</code></em> parameter can also be adjusted, although the default settings should be adequate for most configurations.
				</div></li><li class="listitem"><div class="para">
					If authentication credentials were created for Sesame in <a class="xref" href="#orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Configuring_the_RHM_Broker_for_Authentication_to_the_CONSOLE_and_GRID">Configuring the MRG Messaging Broker for Authentication of the MRG Management Console and MRG Grid</a> set the <em class="parameter"><code>uid</code></em> and <em class="parameter"><code>pwd</code></em> fields in the <code class="filename">/etc/sesame/sesame.conf</code> file according to those credentials.
				</div></li><li class="listitem"><div class="para">
					If Sesame is not enabled for the default run levels, enable it with the <code class="command">chkconfig</code> command:
				</div><pre class="screen">
# chkconfig sesame on
</pre></li></ol></div></div><div class="section" id="sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Installing_and_Configuring_the_CONSOLE"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Installing_and_Configuring_the_CONSOLE">2.2. Installing and Configuring the MRG Management Console</h2></div></div></div><div class="para">
			The MRG Management Console can be installed on any machine that has a network connection to the MRG Messaging broker.
		</div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Installing_and_Configuring_the_CONSOLE-Install_the_Console"><h6>Install the Console</h6><ol><li class="listitem"><div class="para">
					Install the MRG Management Console group by switching to the root user, and giving the <code class="command">yum</code> command.
				</div><pre class="screen">
# yum groupinstall "MRG Management"
</pre></li><li class="listitem"><div class="para">
					You can check the installation location and that the components have been installed successfully by using the <code class="filename">rpm -ql</code> command with the <code class="filename">cumin</code> package name. For example:
				</div><pre class="screen">
# rpm -ql cumin
/etc/cumin/cumin.conf
/etc/cumin/cumin.crt
/etc/cumin/cumin.key
/etc/rc.d/init.d/cumin
/usr/bin/cumin
/usr/bin/cumin-admin
...[output truncated]...
</pre></li></ol></div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
				If you find that <code class="command">yum</code> is not installing all the dependencies you require, make sure that you have registered your system with <a href="https://rhn.redhat.com/help/about.pxt">Red Hat Network</a>.
			</div></div></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Installing_and_Configuring_the_CONSOLE-Ownership_and_Permissions_of_Configuration_Files"><h6>Ownership and Permissions of Configuration Files</h6><div class="para">
				If you are upgrading the MRG Management Console from an earlier installation and the <code class="filename">/etc/cumin/cumin.conf</code> file was modified after the original installation, this file will not be replaced by the update. It is important that the owner and permission settings are correct on this file.
			</div><ol><li class="listitem"><div class="para">
					Check the owner and permissions using the following command:
				</div><pre class="screen">
$ ls -l /etc/cumin/
</pre></li><li class="listitem"><div class="para">
					The output should look similar to this example, which shows the owner of the file as <em class="parameter"><code>cumin</code></em> with the following permissions:
				</div><pre class="screen">
-rw------- 1 cumin cumin  454 Oct  1 15:51 cumin.conf
-rw------- 1 cumin cumin 2372 Feb 26  2008 cumin.crt
-rw------- 1 cumin cumin 2372 Feb 26  2008 cumin.key
</pre></li><li class="listitem"><div class="para">
					If the owner or the permissions do not match, modify them using the <code class="command">chown</code> and <code class="command">chmod</code> commands:
				</div><pre class="screen">
# chown cumin /etc/cumin/*
# chmod 600 /etc/cumin/*
</pre></li></ol></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Installing_and_Configuring_the_CONSOLE-Setting_the_Network_Interface"><h6>Setting the Network Interface</h6><div class="para">
				The MRG Management Console is a web-based tool. You can use any internet browser to access the tool whether it is running on the local host or on a remote machine.
			</div><div class="para">
				The web console is bound to the <em class="parameter"><code>localhost</code></em> network interface by default. This setting allows only local connections to be made. To make the MRG Management Console accessible to other machines on the network, the IP address of another network interface on the host needs to be specified in the configuration file.
			</div><ol><li class="listitem"><div class="para">
					Specify the IP address by opening the <code class="filename">/etc/cumin/cumin.conf</code> file and locating the <em class="parameter"><code>[web]</code></em> section.
				</div><div class="para">
					On installation, the <em class="parameter"><code>[web]</code></em> section in the configuration file will have the following lines commented out. Remove the <em class="parameter"><code>#</code></em> symbol and edit each line to bind the web console to a different network interface:
				</div><pre class="programlisting">
[web] 
host: 192.168.0.20 
port: 1234
</pre></li><li class="listitem"><div class="para">
					Using <em class="parameter"><code>0.0.0.0</code></em> as the IP address for this configuration parameter will make the web console bind to all local network interfaces that have been defined.
				</div></li></ol></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Installing_and_Configuring_the_CONSOLE-Setting_the_Broker_Address_and_Authentication"><h6>Setting the Broker Address and Authentication</h6><div class="para">
				The default configuration settings will connect the MRG Management Console without authentication to a MRG Messaging broker running on the same machine. You will need to add authentication information and optionally modify the broker host and port.
			</div><ol><li class="listitem"><div class="para">
					The authentication information will be stored in plain text in the <code class="filename">/etc/cumin/cumin.conf</code> file. However, as long as the owner and permissions on the file are set as described in <a class="xref" href="#orde-Management_Console_Installation_Guide-Installing_and_Configuring_the_CONSOLE-Ownership_and_Permissions_of_Configuration_Files">Ownership and Permissions of Configuration Files</a>, this information will be secure, provided users do not have root access. It is important to make sure the owner and permissions are correctly set. 

				</div></li><li class="listitem"><div class="para">
					Open the <code class="filename">/etc/cumin/cumin.conf</code> file in your preferred text editor and locate the broker address.
				</div><div class="para">
					The format of a broker address is:
				</div><pre class="screen">
&lt;username&gt;/&lt;password&gt;@&lt;target-host&gt;[:&lt;tcp-port&gt;]
</pre><div class="para">
					In this syntax, <em class="replaceable"><code>username</code></em>, <em class="replaceable"><code>password</code></em>, and <em class="replaceable"><code>target-host</code></em> are required. The <em class="replaceable"><code>tcp-port</code></em> parameter is optional and will default to <em class="parameter"><code>5672</code></em> if not specified.
				</div></li><li class="listitem"><div class="para">
					The username value in this case is <em class="parameter"><code>cumin</code></em>, the user that was added to the SASL configuration for the MRG Messaging broker in <a class="xref" href="#orde-Management_Console_Installation_Guide-Configuring_the_RHM_Broker_for_use_with_the_CONSOLE-Configuring_the_RHM_Broker_for_Authentication_to_the_CONSOLE_and_GRID">Configuring the MRG Messaging Broker for Authentication of the MRG Management Console and MRG Grid</a>.
				</div><div class="para">
					The password will be the password that you supplied when prompted by the <code class="command">saslpasswd2</code> command. For example, if you set the password for <em class="parameter"><code>cumin</code></em> to <em class="parameter"><code>oregano</code></em> and you want to connect to a broker on the local host, you would set the <em class="parameter"><code>brokers</code></em> field as follows: 

				</div><pre class="programlisting">
[common] 
brokers: cumin/oregano@localhost:5672
</pre></li><li class="listitem"><div class="para">
					The <em class="parameter"><code>sasl-mech-list</code></em> specifies which mechanisms the MRG Management Console may use to authenticate to a broker. The default setting allows any mechanism that is available in the local configuration. For a default configuration, these are <em class="parameter"><code>anonymous</code></em> and <em class="parameter"><code>plain</code></em> as defined in the Cyrus SASL documentation. It is recommended, but not required, that the <em class="parameter"><code>anonymous</code></em> mechanism be disallowed to ensure that the MRG Management Console always authenticates with user and password information. Doing so will guarantee that all features of the console are available. To disallow <em class="parameter"><code>anonymous</code></em> authentication, set <em class="parameter"><code>sasl-mech-list</code></em> to a space separated list containing any other supported mechanisms. In the default configuration, <em class="parameter"><code>sasl-mech-list</code></em> will be set to disallow <em class="parameter"><code>anonymous</code></em> as follows:
				</div><pre class="programlisting">
[common]
sasl-mech-list: PLAIN
</pre></li><li class="listitem"><div class="para">
					The <em class="parameter"><code>brokers</code></em> setting can be changed to connect to a broker at a different address. For example, using the user <em class="parameter"><code>cumin</code></em> and the password <em class="parameter"><code>oregano</code></em> as above to connect to a broker at <em class="parameter"><code>alpha.example.com</code></em>:
				</div><pre class="programlisting">
[common] 
brokers: cumin/oregano@alpha.example.com
</pre><div class="para">
					Note, this setting will implicitly use the default port of 5672.
				</div></li><li class="listitem"><div class="para">
					To connect to more than one broker, specify multiple addresses using a comma-separated list on a single line:
				</div><pre class="programlisting">
[common] 
brokers: cumin/oregano@alpha.example.com, cumin/thyme@beta.example.com:5671
</pre></li></ol></div><div class="formalpara"><h5 class="formalpara" id="id4934895">Setting the MRG Management Console Persona 
			 </h5>
				The default installation prepares the MRG Management Console interface for use with both MRG Grid and MRG Messaging. It is possible to streamline the interface for use with one or the other by selecting an alternate persona. To do this, edit the <code class="filename">/etc/cumin/cumin.conf</code> file and change the <em class="parameter"><code>persona</code></em> value in the <em class="parameter"><code>[web]</code></em> section from <em class="parameter"><code>default</code></em> to either <em class="parameter"><code>messaging</code></em> or <em class="parameter"><code>grid</code></em>. For example:
			</div><pre class="programlisting">
[web]
persona: grid
</pre></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Start_Console" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 3. Start Console</h2></div></div></div><div class="toc"><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Start_Console-First_Run">3.1. First Run</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Start_Console-Logging">3.2. Logging 
		 </a></span></dt></dl></div><div class="section" id="sect-Management_Console_Installation_Guide-Start_Console-First_Run"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Start_Console-First_Run">3.1. First Run</h2></div></div></div><div class="orderedlist"><div class="para">
				Before you run the MRG Management Console for the first time, you will need to install the Cumin database.
			</div><ol><li class="listitem"><div class="para">
					Install the Cumin database:
				</div><pre class="screen">
$ cumin-database install
</pre><div class="para">
					This command will produce a warning that it is about to modify any existing configuration. Enter <em class="parameter"><code>yes</code></em> to continue with the installation.
				</div></li><li class="listitem"><div class="para">
					Add a new user:
				</div><pre class="screen">
	
				
				
$ cumin-admin add-user
</pre><div class="para">
					This will add a new user <em class="parameter"><code>user</code></em> and then prompt you for a password, this ensures the password is not retained in the shell history. This is the user that is used to log in to the web interface.
				</div></li><li class="listitem"><div class="para">
					Switch to the root user and use the <code class="command">/sbin/service</code> command to start the MRG Messaging broker, Sesame, and the MRG Management Console.
				</div><div class="para">
					Start the MRG Messaging broker:
				</div><pre class="screen">
# /sbin/service qpidd start 
Starting Qpid AMQP daemon:                    [  OK   ]
</pre><div class="para">
					Start Sesame:
				</div><pre class="screen">
# /sbin/service sesame start 
Starting Sesame daemon:                    [  OK   ]
</pre><div class="para">
					Start the MRG Management Console
				</div><pre class="screen">
# /sbin/service cumin start 
Starting Cumin daemon:                    [  OK   ]
</pre><div class="para">
					The <code class="command">/sbin/service</code> command can be used to stop, start, and restart these applications, as well as check on their status. After a configuration option has been changed, use the <code class="command">/sbin/service</code> command to restart the running application:
				</div><pre class="screen">
# /sbin/service cumin status 
cumin (pid PID) is running... 

# /sbin/service cumin restart 
Stopping Cumin daemon:                    [  OK   ] 
Starting Cumin daemon:                    [  OK   ] 

# /sbin/service cumin stop 
Stopping Cumin daemon:                    [  OK   ]
</pre></li><li class="listitem"><div class="para">
					Open your internet browser and navigate to the MRG Management Console page. In the default configuration the web address for Cumin will be <a href="http://localhost:45672/">http://localhost:45672/</a>. TCP port 45672 must be allowed for incoming traffic on the MRG Management Console host firewall to use the console from the network.
				</div><div class="mediaobject"><img src="images/Cumin_MainScreen.png" width="444" alt="The MRG Management Console main window" /></div><div class="para">
					

				</div></li></ol></div></div><div class="section" id="sect-Management_Console_Installation_Guide-Start_Console-Logging"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Start_Console-Logging">3.2. Logging 
		 </h2></div></div></div><div class="para">
			The MRG Management Console keeps log files in the <code class="filename">/var/log/cumin</code> directory. This directory will contain log files for the master script and each cumin-web or cumin-data process that is started as part of the cumin service. 

		</div><div class="para">
			Three log files are kept for each process and have the extensions <code class="filename">.log</code>, <code class="filename">.stderr</code> and <code class="filename">.stdout</code>. The <code class="filename">.log</code> file contains log entries from the running application. The <code class="filename">.stderr</code> and <code class="filename">.stdout</code> files contain redirected terminal output. Normally the <code class="filename">.stderr</code> and <code class="filename">.stdout</code> would be empty but they may contain error information. The master script makes an entry in the <code class="filename">master.log</code> file each time it starts or restarts another cumin process. If <code class="filename">/sbin/service</code> reports <em class="parameter"><code>[FAILED]</code></em> when cumin is started or if cumin does not seem to be running as expected, check these files for information.
		</div><div class="para">
			A maximum log file size is enforced, and logs will be rolled over when they reach the maximum size. The maximum log file size and the number of rolled-over log files to archive can be set in the <code class="filename">/etc/cumin/cumin.conf</code> file with the <em class="parameter"><code>log-max-mb</code></em> and <em class="parameter"><code>log-max-archives</code></em> parameters.
		</div></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Using_the_CONSOLE" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 4. Using the MRG Management Console</h2></div></div></div><div class="toc"><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID">4.1. Using the MRG Management Console with MRG Grid</a></span></dt><dd><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID-Job_Server_Configuration">4.1.1. Job Server Configuration</a></span></dt></dl></dd></dl></div><div class="para">
		This chapter contains information on getting started with the MRG Management Console and Red Hat Enterprise MRG components.
	</div><div class="section" id="sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID">4.1. Using the MRG Management Console with MRG Grid</h2></div></div></div><div class="para">
			To use the MRG Management Console to manage a MRG Grid installation, some configuration must be performed. The Condor QMF plugins allow the condor daemons to connect to a MRG Messaging broker using QMF. Each of the nodes in the MRG Grid pool will then need to have the configuration modified.
		</div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
				MRG Grid can also be configured remotely using the remote configuration feature. For more information about the remote configuration feature and how to use it, see the <em class="citetitle">MRG Grid User Guide</em>.
			</div></div></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Using_the_CONSOLE_with_GRID-Connecting_the_CONSOLE_with_GRID"><h6>Connecting the MRG Management Console with MRG Grid</h6><ol><li class="listitem"><div class="para">
					Install MRG Grid using the procedures described in the <em class="citetitle">MRG Grid Installation Guide</em>.
				</div></li><li class="listitem"><div class="para">
					Install the QMF plugins on each node in the condor pool, so that the MRG Management Console can communicate with them. The <code class="filename">condor-qmf</code> package can be installed using the <code class="command">yum</code> command:
				</div><pre class="screen">
# yum install condor-qmf
</pre></li><li class="listitem"><div class="para">
					Create a new file in the <code class="filename">/etc/condor/config.d/</code> directory called <code class="filename">40QMF.config</code>:
				</div><pre class="screen">
# cd /etc/condor/config.d/
# touch 40QMF.config
</pre></li><li class="listitem"><div class="para">
					To set the broker address on all nodes which are <span class="emphasis"><em>not</em></span> running the MRG Messaging broker locally, add the following line, to the <code class="filename">40QMF.config</code> file and specify the hostname of the machine running the broker:
				</div><pre class="programlisting">
QMF_BROKER_HOST = '&lt;<em class="replaceable"><code>hostname</code></em>&gt;'
</pre></li><li class="listitem"><div class="para">
					All MRG Grid nodes will attempt to use the <em class="parameter"><code>anonymous</code></em> authentication mechanism unless specific parameters are set. Authentication credentials were optionally created for use by MRG Grid nodes in chapter 2. To use password authentication (the <em class="parameter"><code>plain</code></em> mechanism), set the parameters in the <code class="filename">40QMF.config</code> file on all nodes according to the <em class="parameter"><code>grid</code></em> credentials created in Chapter 2.
				</div><pre class="programlisting">
QMF_BROKER_AUTH_MECH = PLAIN
QMF_BROKER_USERNAME = grid
QMF_BROKER_PASSWORD_FILE = '&lt;<em class="replaceable"><code>path</code></em>&gt;'
</pre><div class="para">
					The last parameter contains the path of a file containing the password for the <em class="parameter"><code>grid</code></em> user in plain text. This is the password supplied for the <em class="parameter"><code>grid</code></em> user when credentials were created. The security of the password file is the responsibility of system administrators.
				</div></li><li class="listitem"><div class="para">
					To be able to edit fair-share in the MRG Management Console, edit the <code class="filename">40QMF.config</code> file on all nodes running the <code class="command">condor_negotiator</code> to add the following line:
				</div><pre class="programlisting">
ENABLE_RUNTIME_CONFIG = TRUE
</pre><div class="para">
					
					 To enable Cumin runtime configuration of Limit values it is vital that this line is present.
				</div></li><li class="listitem"><div class="para">
					The sampling frequency of some graphs in the MRG Grid overview screens is related to how frequently the condor collector sends updates. The default rate is fifteen minutes (900 seconds). This can be changed by adjusting the <code class="command">COLLECTOR_UPDATE_INTERVAL</code> parameter.
				</div><div class="para">
					Do this by editing the new <code class="filename">40QMF.config</code> file on the node running the <code class="command">condor_collector</code> to add the following line, with the desired value in seconds:
				</div><pre class="programlisting">
COLLECTOR_UPDATE_INTERVAL = 60
</pre></li><li class="listitem"><div class="para">
					Restart the <code class="command">condor</code> service to pick up the changes (this command will also start the <code class="command">condor</code> service if it is not already running):
				</div><pre class="screen">
# /sbin/service condor restart
</pre></li></ol></div><div class="section" id="sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID-Job_Server_Configuration"><div class="titlepage"><div><div><h3 class="title" id="sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID-Job_Server_Configuration">4.1.1. Job Server Configuration</h3></div></div></div><div class="para">
				
				 A <em class="firstterm">Job Server</em> must be configured in the MRG Grid pool for Cumin to show job submissions and details. The <em class="parameter"><code>Job Server</code></em> can be configured in one of two ways:
			</div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Using_the_CONSOLE_with_GRID-Job_Server_Configuration-Schedd_Configuration"><ol><li class="listitem"><div class="para">
						As a feature of the <em class="parameter"><code>Schedd</code></em> plugin that provides job data for jobs in the <em class="parameter"><code>Schedd</code></em> job queue log.
					</div><div class="para">
						Add the following parameter to the <em class="parameter"><code>Schedd</code></em> plug-in configuration file:
					</div><pre class="programlisting">
QMF_PUBLISH_SUBMISSIONS = True
</pre></li><li class="listitem"><div class="para">
						As a dedicated daemon process with the same ability as 1. in addition to being able to provide data for jobs that have been moved to history files. Add the following settings to the <em class="parameter"><code>Schedd</code></em> plug-in configuration file:
					</div><pre class="programlisting">
QMF_PUBLISH_SUBMISSIONS = False
HISTORY = $(SPOOL)/history
JOB_SERVER = $(SBIN)/condor_job_server
JOB_SERVER_ARGS = -f
JOB_SERVER.JOB_SERVER_LOG = $(LOG)/JobServerLog
JOB_SERVER.JOB_SERVER_ADDRESS_FILE = $(LOG)/.job_server_address
JOB_SERVER.SCHEDD_NAME = <em class="replaceable"><code>name assigned to the scheduler</code></em>
DAEMON_LIST = $(DAEMON_LIST) JOB_SERVER
DC_DAEMON_LIST = + JOB_SERVER
</pre><div class="para">
						Optionally you can add or modify the following settings:
					</div><pre class="programlisting">
HISTORY_INTERVAL = 60 
JOB_SERVER.JOB_SERVER_DEBUG = D_FULLDEBUG
</pre><div class="para">
						The default value for <code class="command">HISTORY_INTERVAL</code> is 120 seconds and the <code class="command">JOB_SERVER.JOB_SERVER_DEBUG</code> setting will enable detailed logging.
					</div></li><li class="listitem"><div class="para">
						A feature named <em class="parameter"><code>JobServer</code></em> is predefined in the configuration store for use with remote configuration tools. This feature implements option 2 above.
					</div></li></ol></div></div></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Medium_Deployment_Configuration" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 5. Configuring the MRG Management Console for Medium Scale Deployment 
	 </h2></div></div></div><div class="toc"><dl><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Running_Multiple_CONSOLE_Web_Servers">5.1. Running Multiple MRG Management Console Web Servers</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Limiting_Objects_Processed_by_the_CONSOLE">5.2. Limiting Objects Processed by the MRG Management Console</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Configuring_the_Remote_Configuration_Feature_for_a_Separate_RHM_Broker">5.3. Configuring the Remote Configuration Feature for a Separate MRG Messaging Broker</a></span></dt><dt><span class="section"><a href="#sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Increase_Default_QMF_Update_Interval_for_GRID_Components">5.4. Increasing the Default QMF Update Interval for MRG Grid Components 
		 </a></span></dt></dl></div><div class="para">
		Configuration considerations for deployments change scale increases. This chapter describes how to configure the MRG Management Console installation for medium scale deployments. A medium scale deployment is described in <a class="xref" href="#chap-Management_Console_Installation_Guide-Scale_Requirements">Chapter 1, <em>Scale Requirements</em></a>.
	</div><div class="section" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Running_Multiple_CONSOLE_Web_Servers"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Running_Multiple_CONSOLE_Web_Servers">5.1. Running Multiple MRG Management Console Web Servers</h2></div></div></div><div class="orderedlist"><div class="para">
				In medium scale environments, it may be necessary to run multiple MRG Management Console web servers as the total number of page views per second increases. To ensure optimal performance, it is recommended that a single web server is used by no more than 20 to 30 simultaneous users. This section describes how to configure the MRG Management Console installation to run multiple web servers.
			</div><ol><li class="listitem"><div class="para">
					Creating Additional Sections in <code class="command">/etc/cumin/cumin.conf</code>.
				</div><div class="para">
					To add web servers, a new configuration section must be added to <code class="filename">/etc/cumin/cumin.conf</code> for each additional server. These sections have the same structure and default values as the standard <em class="parameter"><code>[web]</code></em> section with the exception of the <em class="parameter"><code>log-file</code></em> parameter. By default, each new server will log to a file in <code class="command">/var/log/cumin/<em class="replaceable"><code>section_name</code></em>.log</code>. 

				</div><div class="para">
					Each new section must specify a unique value for <em class="parameter"><code>port</code></em> as each server binds to its own port. Adding the following lines to <code class="command">/etc/cumin/cumin.conf</code> will add 3 new web servers to the configuration, <em class="parameter"><code>web1</code></em>, <em class="parameter"><code>web2</code></em> and <em class="parameter"><code>web3</code></em>; using default values for each server except <em class="parameter"><code>port</code></em>. The default port for the <em class="parameter"><code>web</code></em> section is 45672.
				</div><pre class="programlisting">
[web1]
port: 45674

[web2]
port: 45675

[web3]
port: 45676
</pre><div class="para">
					The <em class="parameter"><code>port</code></em> values used above are chosen arbitrarily.
				</div><div class="para">
					The names of the sections created above must be added to the <em class="parameter"><code>webs</code></em> in the <em class="parameter"><code>[master]</code></em> section in order for the new web servers to run.
				</div><pre class="programlisting">
[master]
webs: web, web1, web2, web3
</pre></li><li class="listitem"><div class="para">
					Checking the Configuration. 

				</div><div class="para">
					After making the changes above, Cumin may be restarted. The <code class="filename">/var/log/cumin/master.log</code> file should contain entries for the new web servers.
				</div><pre class="programlisting">
# /sbin/service cumin restart
Stopping cumin:                                            [  OK  ] 
Starting cumin:                                            [  OK  ] 

# tail /var/log/cumin/master.log
... 
20861 2011-04-01 12:09:45,560 INFO Starting: cumin-web --section=web --daemon 
20861 2011-04-01 12:09:45,588 INFO Starting: cumin-web --section=web1 --daemon 
20861 2011-04-01 12:09:45,602 INFO Starting: cumin-web --section=web2 --daemon 
20861 2011-04-01 12:09:45,609 INFO Starting: cumin-web --section=web3 –daemon
...
</pre></li><li class="listitem"><div class="para">
					Accessing different servers.
				</div><div class="para">
					To visit a particular server, navigate using the appropriate <em class="parameter"><code>port</code></em> value. For example, on the machine where the MRG Management Console is installed, open an internet browser and navigate to <a href="http://localhost:45675/">http://localhost:45675/</a>. This visits the <em class="parameter"><code>[web2]</code></em> server as configured above.
				</div></li><li class="listitem"><div class="para">
					Troubleshooting.
				</div><div class="para">
					Make sure that the section names listed in the <em class="parameter"><code>webs</code></em> parameter of the <em class="parameter"><code>[master]</code></em> section are spelled correctly. Section naming errors can be identified by searching for <code class="literal">NoSectionError</code> in <code class="filename">/var/log/cumin/*.stderr</code>.
				</div><div class="para">
					If Cumin is running but cannot be accessed on a particular port as expected, make sure the port values specified in <code class="filename">/etc/cumin/cumin.conf</code> for each section are correct and that the ports are not used by any other application on the system.
				</div><div class="para">
					Whenever changes are made to <code class="filename">/etc/cumin/cumin.conf</code> the service must be restarted for the changes to take effect.
				</div></li><li class="listitem"><div class="para">
					A note about load balancing and proxies.
				</div><div class="para">
					The above instructions do not cover setting up a web server proxy; users must select a port manually. However, it may be desirable in a particular installation to set up a proxy which handles load balancing automatically and allows users to visit a single URL rather than specific ports.
				</div></li></ol></div></div><div class="section" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Limiting_Objects_Processed_by_the_CONSOLE"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Limiting_Objects_Processed_by_the_CONSOLE">5.2. Limiting Objects Processed by the MRG Management Console</h2></div></div></div><div class="para">
			
			 In the default configuration, the MRG Management Console will process all objects available from the MRG Messaging broker. If the <em class="parameter"><code>persona</code></em> value for all cumin-web instances at a site has been specialized for MRG Messaging or MRG Grid, the types of objects processed by cumin may be limited (refer to <em class="citetitle">Setting the MRG Management Console Persona</em> in <a class="xref" href="#sect-Management_Console_Installation_Guide-Installing_the_CONSOLE-Installing_and_Configuring_the_CONSOLE">Section 2.2, “Installing and Configuring the MRG Management Console”</a> for specialization of web servers). This will reduce the load on the MRG Messaging broker and on the host running the Cumin service.
		</div><div class="para">
			For convenience, the standard <code class="filename">/etc/cumin/cumin.conf</code> file already contains several alternative settings for the <em class="parameter"><code>datas</code></em> in the <em class="parameter"><code>[master]</code></em> section with explanatory comments. Select one of these settings based on the <em class="parameter"><code>persona</code></em> value being used.
		</div></div><div class="section" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Configuring_the_Remote_Configuration_Feature_for_a_Separate_RHM_Broker"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Configuring_the_Remote_Configuration_Feature_for_a_Separate_RHM_Broker">5.3. Configuring the Remote Configuration Feature for a Separate MRG Messaging Broker</h2></div></div></div><div class="para">
			If the remote configuration feature is being used to configure a MRG Grid deployment, the configuration tools can be set up to use a different MRG Messaging broker. Doing this will decrease message traffic when the configuration tools are in use.
		</div><div class="para">
			Additional brokers can be run on the same or different hosts. For instructions on running multiple brokers on a single host, see the <em class="citetitle">MRG Messaging Installation Guide</em>.
		</div><div class="note"><div class="admonition_header"><h2>Note</h2></div><div class="admonition"><div class="para">
				The below section contains only essential information on remote configuration. For further information about the remote configuration feature and how to use it, see the <em class="citetitle">Remote Configuration</em> chapter in the <em class="citetitle">MRG Grid User Guide</em>.
			</div></div></div><div class="orderedlist" id="orde-Management_Console_Installation_Guide-Configuring_the_Remote_Configuration_Feature_for_a_Separate_RHM_Broker-Remotely_Configuring_each_Condor_Node"><h6>Remotely Configuring each Condor Node</h6><ol><li class="listitem"><div class="para">
					Ensure the <code class="command">condor-wallaby-client</code> package is installed and up to date with the latest version. Use the <code class="command">yum</code> command as the root user:
				</div><pre class="screen">
# yum install condor-wallaby-client
</pre><div class="para">
					The <code class="command">condor-wallaby-client</code> package needs to be installed on all nodes running MRG Grid to be managed.
				</div></li><li class="listitem"><div class="para">
					Add QMF broker information for the remote configuration feature. Note, <code class="command">condor_configure_store</code> is part of the <code class="command">condor-wallaby-tools</code> package and should be run from a remote configuration administration machine:
				</div><pre class="programlisting">
condor_configure_store -a -p \
CONFIGD.QMF_BROKER_HOST,CONFIGD.QMF_BROKER_PORT,CONFIGD.QMF_BROKER_AUTH_MECHANISM
</pre><div class="para">
					Change the parameters as follows:
				</div><pre class="programlisting">
name: CONFIGD.QMF_BROKER_HOST
type: string
default: ''
description: 'The hostname where a QMF broker is running that communicates with the configuration store'
conflicts: []
depends: []
level: 0
must_change: true
restart: false
</pre><pre class="programlisting">
name: CONFIGD.QMF_BROKER_PORT
type: string
default: ''
description: 'The port on CONFIGD.QMF_BROKER_HOST that the QMF broker is listening on'
conflicts: []
depends: []
level: 0
must_change: false
restart: false
</pre><pre class="programlisting">
name: CONFIGD.QMF_BROKER_AUTH_MECHANISM
type: string
default: ''
description: 'The authentication mechanisms to use when communicating with the QMF broker CONFIGD.QMF_BROKER_HOST'
conflicts: []
depends: []
level: 0
must_change: false
restart: false
</pre></li><li class="listitem"><div class="para">
					Add the parameters to the <em class="parameter"><code>Master</code></em> feature, by editing the <em class="parameter"><code>Master</code></em> feature with the <code class="command">condor_configure_store</code> command:
				</div><pre class="programlisting">
condor_configure_store -e -f Master
</pre><div class="para">
					The <code class="command">condor_configure_store</code> command will invoke the default text editor so that the configuration file can be edited. For more information about editing metadata, see the <em class="citetitle">Remote Configuration</em> chapter in the <em class="citetitle">MRG Grid User Guide</em>.
				</div><div class="para">
					Add to the map of parameters associated with the <em class="parameter"><code>Master</code></em> feature:
				</div><pre class="programlisting">
CONFIGD.QMF_BROKER_HOST: '&lt;<em class="replaceable"><code>broker ip/host for use with remote configuration</code></em>&gt;'
</pre><div class="para">
					Optionally, add the following parameters:
				</div><pre class="programlisting">
CONFIGD.QMF_BROKER_PORT: '&lt;<em class="replaceable"><code>port</code></em>&gt;'
CONFIGD.QMF_BROKER_AUTH_MECHANISM: '&lt;<em class="replaceable"><code>methods</code></em>&gt;'
</pre><div class="para">
					When the changes are saved, the tool will prompt you as follows:
				</div><pre class="programlisting">
Use the default value for parameter "COLLECTOR_NAME" in feature "Master"? [Y/n] Y
Use the default value for parameter "CONDOR_HOST" in feature "Master"? [Y/n] Y
</pre><div class="para">
					Answer <em class="parameter"><code>Y</code></em> to both questions to use the default values.
				</div></li><li class="listitem"><div class="para">
					Activate the changes using the <code class="command">condor_configure_pool</code> command. Note, <code class="command">condor_configure_pool</code> is part of the <code class="command">condor-wallaby-tools</code> package and should be run from a remote configuration administration machine:
				</div><pre class="programlisting">
condor_configure_pool --activate
</pre></li></ol></div></div><div class="section" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Increase_Default_QMF_Update_Interval_for_GRID_Components"><div class="titlepage"><div><div><h2 class="title" id="sect-Management_Console_Installation_Guide-Medium_Deployment_Configuration-Increase_Default_QMF_Update_Interval_for_GRID_Components">5.4. Increasing the Default QMF Update Interval for MRG Grid Components 
		 </h2></div></div></div><div class="para">
			The default QMF update interval for MRG Grid components is 10 seconds. This interval affects how frequently MRG Grid notifies the MRG Management Console of changes in status. Increasing this interval for certain components can noticeably decrease load on the MRG Management Console. Edit the <code class="filename">/etc/condor/config.d/40QMF.config</code> file created in <a class="xref" href="#chap-Management_Console_Installation_Guide-Using_the_CONSOLE">Chapter 4, <em>Using the MRG Management Console</em></a> to add the following recommended setting for a medium scale deployment:
		</div><pre class="programlisting">
STARTD.QMF_UPDATE_INTERVAL = 30
</pre><div class="important"><div class="admonition_header"><h2>Important</h2></div><div class="admonition"><div class="para">
				The <code class="command">NEGOTIATOR.QMF_UPDATE_INTERVAL</code> should be less than or equal to the <code class="command">NEGOTIATOR_INTERVAL</code> (which defaults to 60 seconds). If either of these intervals is modified, check that this relationship still holds. 

			</div></div></div></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-Frequently_Asked_Questions" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 6. Frequently Asked Questions</h2></div></div></div><div class="qandaset"><dl><dt>Q: <a href="#id4645136">
					
					 If I uninstall, reinstall or update the Cumin software will my database be lost?
				</a></dt><dt>Q: <a href="#id4940424">
					So what if I want to create a fresh database?
				</a></dt><dt>Q: <a href="#id4524672">
					Help! My database is corrupted! What do I do now?
				</a></dt><dt>Q: <a href="#id5106769">
					Will I ever be required to recreate my database as part of a software upgrade?
				</a></dt><dt>Q: <a href="#id4593679">
					If I have to recreate my database, what will I actually lose?
				</a></dt></dl><div class="qandaset"><div id="id4645136" class="qandaentry"><div class="question"><label>Q:</label><div class="data"><div class="para">
					
					 If I uninstall, reinstall or update the Cumin software will my database be lost?
				</div></div></div><div class="answer"><label>A:</label><div class="data"><div class="para">
					No, the data in the database will persist. Even an uninstall, reinstall, or update of PostgreSQL should not affect your data. However, you're advised to back up the database prior to any such operations (more information on backup can be found in the PostgreSQL documentation).
				</div></div></div></div><div id="id4940424" class="qandaentry"><div class="question"><label>Q:</label><div class="data"><div class="para">
					So what if I want to create a fresh database?
				</div></div></div><div class="answer"><label>A:</label><div class="data"><div class="para">
					To discard your data, the database must be destroyed and recreated. Optionally, you may preserve the user account data during this procedure.
				</div><div class="para">
					To backup your user account data:
				</div><pre class="screen">
$ cumin-admin export-users my_users
</pre><div class="para">
					Then destroy the old database and create a new one:
				</div><div class="warning"><div class="admonition_header"><h2>Warning</h2></div><div class="admonition"><div class="para">
						This command will cause you to lose all data previously stored in the database. Use only with extreme caution.
					</div></div></div><pre class="screen">
$ cumin-database drop
$ cumin-database create
</pre><div class="para">
					To restore your user account data:
				</div><pre class="screen">
$ cumin-admin import-users my_users
</pre></div></div></div><div id="id4524672" class="qandaentry"><div class="question"><label>Q:</label><div class="data"><div class="para">
					Help! My database is corrupted! What do I do now?
				</div></div></div><div class="answer"><label>A:</label><div class="data"><div class="para">
					If the database is completely corrupted, the easiest way to fix the problem is to destroy the old database, and create a new one as described above.
				</div></div></div></div><div id="id5106769" class="qandaentry"><div class="question"><label>Q:</label><div class="data"><div class="para">
					Will I ever be required to recreate my database as part of a software upgrade?
				</div></div></div><div class="answer"><label>A:</label><div class="data"><div class="para">
					Occasionally, new features in Cumin may require changes to the database schema. If this is the case, the Release Notes will inform you that the database must be recreated for use with the new version of software. If practical, additional instructions or facilities may be included to help with the transition. For example, instructions on preserving the user account data.
				</div></div></div></div><div id="id4593679" class="qandaentry"><div class="question"><label>Q:</label><div class="data"><div class="para">
					If I have to recreate my database, what will I actually lose?
				</div></div></div><div class="answer"><label>A:</label><div class="data"><div class="para">
					Presently Cumin stores 24 hours of sample data for calculating statistics along with user account data and information about agents and objects it discovers through QMF. Cumin will dynamically rediscover agents and objects while it runs, so this type of data is not really lost.
				</div><div class="para">
					User account data will be lost but may be restored as described above, this is assuming it has previously been exported with <code class="command">cumin-admin</code>. Sample data from the last 24 hours will be lost, affecting some statistics and charts displayed by Cumin.
				</div></div></div></div></div></div></div><div xml:lang="en-US" class="chapter" id="chap-Management_Console_Installation_Guide-More_Information" lang="en-US"><div class="titlepage"><div><div><h2 class="title">Chapter 7. More Information</h2></div></div></div><div class="formalpara" id="form-Management_Console_Installation_Guide-More_Information-Reporting_a_Bug"><h5 class="formalpara">Reporting a Bug</h5>
			If you have found a bug in the MRG Management Console, follow these instructions to enter a bug report:
		</div><div class="orderedlist"><ol><li class="listitem"><div class="para">
				You will need a <a href="https://bugzilla.redhat.com/index.cgi">Bugzilla</a> account. You can create one at <a href="https://bugzilla.redhat.com/createaccount.cgi">Create Bugzilla Account</a>.
			</div></li><li class="listitem"><div class="para">
				Once you have a Bugzilla account, log in and click on <a href="https://bugzilla.redhat.com/enter_bug.cgi">Enter A New Bug Report</a>.
			</div></li><li class="listitem"><div class="para">
				When submitting a bug report, identify the product (Red Hat Enterprise MRG), the version (2.0), and whether the bug occurs in the software (component = management) or in the documentation (component = Management_Console_Installation_Guide).
			</div></li></ol></div><div class="variablelist" id="vari-Management_Console_Installation_Guide-More_Information-Further_Reading"><h6>Further Reading</h6><dl><dt class="varlistentry"><span class="term">Red Hat Enterprise MRG and MRG Messaging Product Information</span></dt><dd><div class="para">
					<a href="http://www.redhat.com/mrg">http://www.redhat.com/mrg</a>
				</div></dd><dt class="varlistentry"><span class="term">Red Hat Enterprise MRG manuals</span></dt><dd><div class="para">
					<a href="http://docs.redhat.com/docs/en-US/index.html">http://docs.redhat.com/docs/en-US/index.html</a>
				</div></dd><dt class="varlistentry"><span class="term">Red Hat Knowledgebase</span></dt><dd><div class="para">
					<a href="https://access.redhat.com/knowledge/search">https://access.redhat.com/knowledge/search</a>
				</div></dd></dl></div></div><div xml:lang="en-US" class="appendix" id="appe-Management_Console_Installation_Guide-Revision_History" lang="en-US"><div class="titlepage"><div><div><h1 class="title">Revision History</h1></div></div></div><div class="para">
		<div class="revhistory"><table border="0" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="3"><strong>Revision History</strong></th></tr><tr><td align="left">Revision 1-3</td><td align="left">Wed Sep 07 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>Prepared for publishing</td></tr></table>

				</td></tr><tr><td align="left">Revision 1-1</td><td align="left">Wed Sep 07 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>BZ#735358 - Update for adding cumin and grid to sasldb</td></tr></table>

				</td></tr><tr><td align="left">Revision 1-0</td><td align="left">Thu Jun 23 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>Prepared for publishing</td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-5</td><td align="left">Tue May 31 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>Rebuilt as some changes missing from previous build.</td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-4</td><td align="left">Mon May 30 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>Technical review fixes</td></tr><tr><td>BZ#674834 - treatment of data on uninstall/upgrade/reinstall</td></tr><tr><td>BZ#705828 - Sesame installation updates</td></tr><tr><td>BZ#706182 - configuration parameter settings for Job Server</td></tr><tr><td>BZ#706446 - RHEL-6 Server channel missing from table 2.1</td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-3</td><td align="left">Thu Apr 07 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>BZ#692227 - setting sasl_mech_list parameter in cumin.conf </td></tr><tr><td>BZ#696223 - Changed section 2.1 default MRG Messaging set up has changed</td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-2</td><td align="left">Thu Apr 07 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>BZ#681283 - Scale Documentation (2.x)</td></tr><tr><td>BZ#689785 - Change default QMF update interval, special config for submissions</td></tr><tr><td>BZ#690453 - setting the 'persona' value for console specialization</td></tr><tr><td>BZ#692983 - subsection on logging to Chapter 3 </td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-1</td><td align="left">Tue Apr 05 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>BZ#687872- Need instructions for anonymous@QPID plugin authentication</td></tr><tr><td>added update from v1.3 for BZ#634932 - Runtime Grid config setting</td></tr></table>

				</td></tr><tr><td align="left">Revision 0.1-0</td><td align="left">Tue Feb 22 2011</td><td align="left"><span class="author"><span class="firstname">Alison</span> <span class="surname">Young</span></span></td></tr><tr><td align="left" colspan="3">
					<table border="0" summary="Simple list" class="simplelist"><tr><td>Fork from 1.3</td></tr></table>

				</td></tr></table></div>

	</div></div></div></body></html>
